warzone2100 (10:2100master-1) unstable; urgency=low

  * update version number
  * update email address
  * update packaging

 -- Warzone 2100 Project <warzone2100-project@lists.sourceforge.net>  Mon, 05 Mar 2012 13:01:58 +0100

warzone2100 (10:3.0~0master) unstable; urgency=low

  * Updated packaging.

 -- Warzone 2100 Project <warzone2100-project@lists.sourceforge.net>  Tue, 03 May 2011 13:21:50 +0200

warzone2100 (9:3.0~0trunk) unstable; urgency=low

  * SVN snapshot of trunk (3.0).
  * Updated packaging.

 -- Warzone 2100 Project <warzone2100-project@lists.sourceforge.net>  Tue, 10 Aug 2010 18:01:55 +0200

warzone2100 (2.1.1-0) unstable; urgency=low

  * General:
    * Fix: Double endian swapping bug that caused loading of save games to go
      wrong on big endian systems, e.g. PowerPC (ticket:96, ticket:127,
      ticket:177)

 -- Giel van Schijndel <muggenhor@gna.org>  Sun, 11 Jan 2009 22:25:25 +0100

warzone2100 (2.1.0-0) unstable; urgency=low

  * GUI:
    * Fix: Bug that caused the number of assigned units to a structure to be
      displayed wrongly (ticket:90)

 -- Giel van Schijndel <muggenhor@gna.org>  Sun, 21 Dec 2008 19:31:04 +0100

warzone2100 (2.1.0~rc2-0) unstable; urgency=low

  * General:
    * Change: Updated Italian (100%), Portugues (99.96%) and Russian (46%)
      translations
    * Fix: Crash when translations for player colour names where larger than
      the string buffer allocated for them (12 bytes) (r6283)
  * AI:
    * Fix: Allow a droid to pick a new target while auto-repairing.
      (ticket:35, bug #12217)
  * Multiplayer:
    * Fix: More out-of-sync issues fixed (r6285)

 -- Giel van Schijndel <muggenhor@gna.org>  Sun, 30 Nov 2008 15:53:41 +0100

warzone2100 (2.1.0~rc1-0) unstable; urgency=low

  * General:
    * Fix: Don't validate the weapons of a structure using the maximum amount
      of weapons on a droid (DROID_MAXWEAPS, bug #12400)
    * Fix: Crash as a result of uninitialised C++ library, caused by linking
      as C instead of C++ (ticket:65)
    * Fix: Crash when passing an invalid file as log file with the
      "--debugfile" parameter (ticket:136)
    * Change: Don't terminate on a bad/corrupted save game, instead reload the
      main menu.
  * AI:
    * Fix: Prevent the AI from attempting to add command or transporter droids
      to a group as that's impossible with these droid types (r5678, r6194)
  * Sound:
    * New: Add the original sound track
    * New: Dump out available devices available for OpenAL on startup when
      LOG_SOUND is enabled (r6196, r6197).
    * Workaround: Force software "accelerated" OpenAL for Windows XP users to
      prevent audio "clogging" issues (ticket:115)
  * GUI:
    * Fix: When new games are created in the lobby make sure to remove the "NO
      GAMES ARE AVAILABLE" message (bug #12399).
    * Fix: Prevent the "return" key from being mistaken for enabling chat mode
      if it has just been pressed to save a game (r6132, r6191)
    * Fix: Prevent flickering of the backdrop image while loading (ticket:87)
  * Gameplay:
    * Change: Disable multi turret support
    * Fix: Fix the laser satellite such that it does hit droids correctly
    * Fix: Team alliances from skirmish/multiplayer games are "copied" over to
      campaign games. (ticket:103)
  * Scripts:
    * Fix: Read some scripts using with the correct case for their filenames
      (bug #12011, r5539)
    * Change: Dump the script call stack to LOG_ERROR on errors.
  * Maps:
    * Change: Be more lenient with broken maps, since we do not have a map
      editor that we can fix: If the next feature in the map overlaps another,
      remove the already placed feature in favour of the new one. (bug #12121,
      r5782, r6195)
  * Multiplayer:
    * Fix: When a player drops out do not grant control to the AI.
      (ticket:105)
  * Buildsystem:
    * Change: Verify the versions of pkg-config, xgettext and msgfmt in the
      configure script instead of autogen.sh
  * Exceptionhandler:
    * Fix: Prevent a potential symlink attack by using a temporary filename
      (of the form "/tmp/warzone2100.gdmp-XXXXXX") that's guaranteed not to
      exist yet
    * Fix: Prevent a potential crash in the Windows exception handler (r6146,
      r6147)
    * Change: Make sure that the backtraces are slightly more useful when GDB
      isn't available but the GNU C library is (r5678, r6194)

 -- Giel van Schijndel <muggenhor@gna.org>  Sat, 09 Nov 2008 16:48:06 +0100

warzone2100 (2.1.0~beta5-0) unstable; urgency=low

  * General:
    * Change: Reordered main menus. Skirmish is now under Single Player.
    * Fix: Various source compilation fixes.
  * Campaign:
    * Fix: Researching Gas Turbine Generator no longer reduces the output of
      power generators (bug #12262)
  * Mods:
    * New: New Team War (NTW) by Delphino added
  * Multiplayer (non-skirmish only):
    * New: Added visual feedback for when there are no games available in the
      lobby.
    * Fix: Smoking healthy droids gone.
    * Fix: Cyborg transports should now unload correctly. (bug #12116)
  * Buildsystem:
    * Fix: The OS X build system now works properly on both Tiger and Leopard.
    * New: Bison is no longer an external dependency when building on OS X as
      it is automatically downloaded if the system version of Bison is
      incompatible with the build system.
  * Pathfinding and savegames:
    * Change: We now use zones for path-finding again. This means savegames
      from beta4 are no longer useable. Your beta4 savegames can be used with
      2.2, however.

 -- Giel van Schijndel <muggenhor@gna.org>  Sun, 28 Sep 2008 13:23:55 +0200

warzone2100 (2.1.0~beta4-0) unstable; urgency=low

  * General:
    * New: An error will be shown if an invalid command line option is used.
    * New: "Map Preview" button added to the multiplayer/skirmish lobby, including ability to preview starting positions (patch #1040).
    * New: A 'Ready' button that all players must press in order to start a multiplayer game.
    * Change: Game speed is limited to 0.3-1.5 range in non-debug mode.
    * Change: Oil pumping and power generator hum sounds are quieter.
    * Fix: Building limits apply correctly (bug #11293).
    * Fix: Game won't crash when commander units are used.
    * Fix: The sky does not disappear anymore when a tooltip is shown (bug #11216).
    * Fix: Translation-related bug in the structure limits screen fixed (bug #11345).
    * Fix: Placing a beacon on map will not result in memory corruption and a crash anymore (bug #10955, #11373, and #11005).
    * Fix: Invalid group orders during multiplayer games are ignored (bug #11358).
    * Fix: Smoking structures (bug #11348).
    * Fix: AIs are now always run on Host's machine during multiplayer games.
    * Fix: Derricks do not disappear or blink anymore (bug #11357).
    * Fix: Save games will load properly when trying to load them when a game is already in progress (bug #11467).
    * Fix: Bad textures after third load of saved game (bug #11641)
    * Fix: VTOLs do not move over water (bug #11638)
    * Fix: Multiple Nexus Link crashes (bugs #11500, #11501, and #11444)
    * Fix: Assert if upgrading building while second building tab open (bugs #9336 and #11446)
    * Fix: Assert when smoke effects drift off the map (bug #11586)
    * Fix: Trucks going in circles (bug #11341)
    * Fix: Render super-cyborgs using the bucket list, to avoid jittery HP bars.
    * Fix: Bug that would make sliders inactive in multiplayer when not hosting a game.
    * Fix: Textures missing on first beta away mission (bug #11733)
    * Fix: Lots of other things that we may have forgotten about. This beta really does contain a lot of bug fixes.
  * Gameplay:
    * New: Support for coloured mouse cursors (ingame only, not in menus), controlled by configuration option "ColouredCursor". Turned off by default. (patch #956)
    * New: Human player console messages are rendered using brighter color. Friend-foe colors are can be turned on using Shift+Tab key combination.
    * New: Prevent structure 'painting' exploit by making unfinished structures return power with time and disappear when all power was given back (patch #1030).
    * New: Units gain speed increase with experience (patch #906).
    * New: A sound is played and a notification is shown on the console when placing a beacon on the map. F12 key can be used to jump to the beacon location.
    * Change: Effect of skirmish modifier slider increased by 20%.
    * Change: 'ENTER' key is now the default key for bringing up the chat dialog instead of 'T' (key configuration must be reset in the 'Key Mappings' dialog).
    * Change: Removed lowest power level, added a higher power level.
    * Change: VTOL movement rules simplified. No cliff height limitations anymore.
    * Fix: Dull mini-map player colors were replaced by brighter colors.
    * Fix: Rocket Autoloader research does not appear before lancer is researched and has "HEAT Rocket Warhead" as a prerequisite, instead of "HEAP Mini-Rockets" (bug #11312).
    * Fix: When cheating is on AIs get power boost on client's machines too.
  * Balancing (Multiplayer Only):
    * Change: Tank Killer now fires four projectiles instead of two, total firepower is unaffected.
    * Change: AA Projectiles fly faster which increases accuracy.
    * Change: Hitpoints of Hardpoints, Fortresses and Walls slightly increased. Hitpoints of other structures doubled.
    * Change: All cyborgs are produced faster by 10-15%.
    * Change: Mini-pod's accuracy decreased by 10%.
    * Change: Mini-Rocket Artillery short range accuracy increased by 10%, long range accuracy decreased by 15%.
    * Change: Super Heavy-Gunner, Super HPV Cyborg, Super Auto-Cannon Cyborg and Tank-Killer Cyborg have more firepower.
    * Change: Cost of Super Rail-Gunner, Super HPV Cyborg slightly decreased. Cost of Super Pulse Laser Cyborg, Super Heavy-Gunner and Super Auto-Cannon Cyborg halved to match their firepower.
    * Change: Super Scourge Cyborg's cost increased by 10%.
    * Change: Super HPV Cyborg has longer range, Super Auto-Cannon Cyborg's range slightly decreased.
    * Change: Super Cyborg's build time slightly decreased.
    * Change: Flamers Rate of Fire decreased, damage increased. The resulting damage in the game is not affected.
    * Change: Inferno weapon fires two jets instead of one.
    * Change: All flamers are 5% less effective against tracked units.
    * Change: Rate of Fire of Hyper Velocity Cannon decreased, damage increased. The resulting damage in the game is not affected.
    * Change: Bunker Buster's damage increased by 30% to make it competitive against flamers.
    * Change: Anti-tank weapons are 15% more effective against hardpoints.
    * Change: Anti-tank weapons effectiveness increased from 110% to 133% against Half-tracked units, decreased from 133% to 110% against Tracked units.
    * Change: Cost of all bodies (except for 'Viper' body) decreased to reflect body's real value. Later bodies have more value that earlier bodies to justify research cost and time.
    * Change: Tank-Killer hardpoint cost decreased from 300 to 275.
    * Change: Range of Mini-Rocket Artillery increased from 7.5 tiles to 8.5 tiles.
    * Change: Bunker Buster rocket is available earlier and has "Synaptic Link Data Analysis Mk3" and "HEAP Mini-Rockets" as prerequisites instead of Lancer and "HEAT Rocket Warhead Mk3".
  * Aivolution AI:
    * New: Different taunts.
    * New: To find out what AI players are using Aivolution AI type "are you aiv?" in the game.
    * Fix: Using "go <player>" command makes Aivolution send its units to the proper player now.
    * Fix: Division by zero error fixed.
    * Fix: Won't ask allies for help when already defeated.
    * Fix: Assert when trying to find out player name based on incorrect player number.
    * Fix: All dialogs between allied AIs are visible to all allies.
    * Fix: A beacon is always placed on map before initializing a command.
    * Fix: Several Aivolution AIs sending chat messages at the same time will not result in an infinite loop anymore.
    * Fix: Undefended enemy derricks will now be properly attacked with defenses by trucks.
  * Mods:
    * Change: We no longer use zones for path-finding. If they are present in the map file, they will be ignored. Gateways are only used by AI.

 -- Dennis Schridde <devurandom@gna.org>  Sat, 19 Jul 2008 21:00:00 +0200

warzone2100 (2.1.0~beta2-0) unstable; urgency=low

  * Bump upstream version number: releasing 2.1 beta 1
  * General:
    * New: Preview of italian (35% complete), french (25%) and russian (9%) translations
    * Fix: Crash (integer divide by zero) when starting a multiplayer game after playing a single player game
    * Fix: A memory corruption in structure limits could cause destroy button to disappear (among other things)
    * Fix: Crash during saving in multiplayer/skirmish mode, when Aivolution AI is enabled (bug #11084)
    * Fix: Special characters would be printed as '?' (bug #10913)
    * Fix: Warzone could lock up, trying to pick a droid (bug #11250)
  * Graphics:
    * New: Replaced old menu backdrops with new, high-res ones
    * Change: Reduce the number of atmospheric particles generated and lower the CPU usage
    * Fix: Briefings were not displayed at high resolutions (bug #11121)
    * Fix: Fonts were not displayed with QuesoGLC 0.7.0 (patch #961)
    * Fix: Fireworks looked crappy (patch #994)
  * AI:
    * Fix: Restarting a map caused "unable to load experience" messages (bug #11085)
    * Fix: Upgrade power generator with powModule instead of resModule (bug #11122)
    * Fix: AI opponents would use the medium yellow body all the time (bug #11097)
  * Balancing (Multiplayer):
    * Change: Let weapons with high ROF but low damage deal damage too (bug #11191)
    * Change: Fortress balacing adapted

 -- Dennis Schridde <devurandom@gna.org>  Sun, 16 Mar 2008 00:00:00 +0100

warzone2100 (2.1.0~beta1-0) unstable; urgency=low

  * Bump upstream version number: releasing 2.1 beta 1
  * General:
    * New: Video options menu to allow for things such as resolution to be
           changed without needing to manually edit the config file.
    * New: 'Locked Teams' alliance mode: human players and AIs can play in a
           team against other teams.
    * New: Allies now have shared vision in 'Teamplay' and 'Locked Teams' modes.
    * New: Height-map mini-map mode (Default key combination to cycle through
           mini-map modes: Ctrl+Tab).
    * New: Multi-Turret support for units and structures.
    * New: 'Circle' command for VTOLs - upon activation will make VTOLs fly in
           circles and engage approaching enemies.
    * New: A more realistic miss/hit evaluation system - allows to dodge
           projectiles.
    * New: Top, bottom, left, right, front and rear armor types for units.
    * New: Improved scripting language documentation.
    * New: UTF-8 and font rendering support added (aids in i18n). This depends
           on QuesoGLC.
    * Fix: Skirmish difficulty slider now applies settings to the right players.
    * Change: Migrate all networking code to a new and improved net-primitives
              API.
  * Campaign Mode:
    * Fix: accuracy, damage and ROF upgrades, which were mistakenly applied to
           Mini-Pods and Mini-Rocket Artillery, are now correctly applied
           Lancer, Bunker Buster, Tank Killer and Ripple Rockets.
  * Unit AI:
    * New: Multi-criteria target selection routine to automatically choose the
           best suitable target.
    * New: Units and structures will constantly look for a better target taking
           into consideration targets of the friendly units nearby - won't lock
           on one target forever anymore.
  * Skirmish/Multiplayer AI:
    * New: Enabled basic level of Human-AI cooperation, for more information
           visit: http://wz2100.net/wiki/gameplay:cooperative_ai
    * New: AI units now return to defend its own base when it's in trouble.
    * Improved: AI is faster at producing units, upgrading structures and oil
                capturing.
    * Several other improvements.
    * Fix: AI doesn't get free units when playing in 'Advanced Bases' mode
           anymore.
    * Fix: AI won't preferably attack humans anymore.
  * Buildsystem:
    * New: Gettext support (0.16.1 included)
    * New: Intel C++ Compiler (ICC) supported (10.0 is known to work,
           FIXME: non-debug compiles only atm :FIXME)
    * Change: No optional dependencies anymore (Ogg now required)
    * Change: Use pkg-config (0.9 should work) instead of autoconf scripts for
              SDL, PNG and Ogg/Vorbis (Faster)
  * Balancing (Multiplayer):
    * Light Cannon:
      * weapon damage raised from 25 to 37
      * weapon chance hit increased from 20 to 25
      * weapon radius damage increased from 5 to 7
    * Heavy Gunner Cyborg:
      * weapon damage raised from 30 to 37
    * Cyborg Engineer:
      * construction component cost decreased from 17 to 10
      * construction time for construction component decreased from 85 to 65
        (used to be the same as truck's)
      * hitpoints of construction component decreased from 50 to 40 (used to be
        the same as truck's)
    * Cyborg Mechanic: (all 3 repair components used to have almost same values,
      which is now history)
      * repair component cost reduced from 50 to 35
      * repair component build time decreased from 250 to 100
    * Heavy Repair:
      * heavy repair component cost increased from 50 to 70
      * heavy repair component build time increased from 250 to 300
    * EMP Cannon:
      * increased reload time from 5 to 8 seconds
      * units will now get disabled in the splash radius of 2x2 tiles, with
        probability of 50%
    * Laser Satellite weapon:
      * blast radius: increased from 2 tiles to 4.5 tiles
      * blast radius damage: increased from 1000 to 2800
      * reload time: increased from 5 mins to 8 mins
      * chance to hit in the blast radius: reduced from 99% to 90%

 -- Giel van Schijndel <muggenhor@gna.org>  Sun, 17 Feb 2008 01:19:48 +0100

warzone2100 (2.1.0~0.svn3670-0) unstable; urgency=low

  * Bump upstream version number for the development branch
    - This version is _not_ an official release, just a development snapshot.

 -- Giel van Schijndel <muggenhor@gna.org>  Sun, 03 Feb 2008 21:24:31 +0100

warzone2100 (2.1.0~0.svn3379-0) unstable; urgency=low

  * Bump upstream version number for the development branch
    - This version is _not_ an official release, just a development snapshot.
  * Depend on libglc-dev while building

 -- Giel van Schijndel <muggenhor@gna.org>  Wed, 02 Jan 2008 00:13:13 +0100

warzone2100 (2.1.0~0.svn2922-0) unstable; urgency=low

  * Bump upstream version number for the development branch
    - This version is _not_ an official release, just a development snapshot.
  * Don't strip output binaries anymore
  * Depend on libpopt-dev while building

 -- Giel van Schijndel <muggenhor@gna.org>  Sat, 01 Dec 2007 13:47:17 +0100

warzone2100 (2.0.9-0) unstable; urgency=low

  * Bump upstream version number
    * Fix: Sound works with libvorbis 1.2.0 (no more hangups) (bug #10153)

 -- Dennis Schridde <devurandom@gna.org>  Mon, 03 Dec 2007 15:30:00 +0100

warzone2100 (2.0.8-0) unstable; urgency=low

  * Bump upstream version number
    * New: Possibility to use the zero-key ('0') to assign groups as well
      (patch #828)
    * Change: Slightly faster terrain rendering (+ 5-10%) (patch #830, patch
      #833)
    * Change: Protocol-selection removed from "Host Game", since the only
      option was "Internet"
    * Fix: Reduce the dark borders around the terrain tiles (patch #845)
    * Fix: Slight visual improvement: Reduced flickering of ground and water
      tiles (patch #841)
    * Fix: Crash when loading sounds without filenames (patch #855, bugs #9927
      and #10142)
    * Fix: Crash on game exit (bug #9927)
    * Fix: Don't add/remove droids to/from groups upon selecting/deselecting
      them (patch #829)
    * Fix: Crash where rearming VTOL would try to set a dead target (r2651)

 -- Giel van Schijndel <muggenhor@gna.org>  Sat, 01 Dec 2007 13:30:49 +0100

warzone2100 (2.0.8-rc1-0) unstable; urgency=low

  * Bump upstream version number

 -- Dennis Schridde <devurandom@gna.org>  Sat, 29 Sep 2007 00:00:00 +0100

warzone2100 (2.0.7-0svn1) unstable; urgency=low

  * Bump upstream version number

 -- Giel van Schijndel <muggenhor@gna.org>  Fri, 22 Jun 2007 18:54:53 +0100

warzone2100 (2.0.6-0svn2) unstable; urgency=low

  * Move icons and desktop from /debian/ into /icons/.

 -- Dennis Schridde <devurandom@gna.org>  Fri,  8 Jun 2007 00:51:55 +0200

warzone2100 (2.0.6-0svn1) unstable; urgency=low

  * Commented out dh_installdocs in order to prevent warzone2100 and 
    warzone2100-data to contain the same doc files, the docs gets
    installed anyway.
  * Added --enable-data to the configure script parameters in order
    to make the data package contain any game data.

 -- Joakim Soderlund <joakim.soderlund@gmail.com>  Thu,  5 Apr 2007 18:43:38 +0200

warzone2100 (2.0.5-0svn1) unstable; urgency=low

  * Bump upstream version number again.
  * Update packaging from "warzone" to less generic "warzone2100".
    (Thanks upstream guys)

 -- Angus Lees <gus@debian.org>  Sun, 17 Sep 2006 14:01:03 +0100

warzone (2.0.3-0svn1) unstable; urgency=low

  * Fix upstream version number..
  * Use dh_desktop
     - Bump debhelper build-dep version accordingly.
  * Add icon to menu file too
     - Requires build-dep on netpbm for conversion to xpm.

 -- Angus Lees <gus@debian.org>  Fri, 14 Jul 2006 21:38:26 +0100

warzone (0.2.2+0svn-2) unstable; urgency=low

  * remove alut-dev from Build-Depends: not needed
  * make warzone-data depend on Source-Version
  * desktop entry added (using scaled icon from win32)

 -- Pavel Rojtberg <pavel@madman2k.net>  Thu, 13 Jul 2006 15:52:49 +0200

warzone (0.2.2+0svn-1) unstable; urgency=low

  * Initial release.

 -- Angus Lees <gus@debian.org>  Mon, 27 Mar 2006 21:31:19 +0100

